libgdamm: Gnome::Gda::Blob Class Reference

Public Member Functions | Protected Attributes | Related Functions

# Gnome::Gda::Blob Class Reference
[Data Handlers]

This object is a base class for individual database providers which support BLOB types. More...

Collaboration diagram for Gnome::Gda::Blob:
[legend]

List of all members.

## Public Member Functions
| Blob ()
| Blob (const GdaBlob* gobject)
GdaBlob* | gobj ()
| Provides access to the underlying C instance.
const GdaBlob* | gobj () const
| Provides access to the underlying C instance.
void | set_op (const Glib::RefPtr< BlobOp >& op)
| correctly assigns op to blob
Glib::ustring | to_string (guint maxlen=0) const
| Converts all the non printable characters of blob->data into the representation where xxx is the octal representation of the byte, and the '\' (backslash) character is converted to "\\".
## Protected Attributes
GdaBlob | gobject_
## Related Functions
(Note that these are not member functions.)
Gnome::Gda::Blob& | wrap (GdaBlob* object)
const Gnome::Gda::Blob& | wrap (const GdaBlob* object)

## Detailed Description

This object is a base class for individual database providers which support BLOB types.

It supports operations to read and write data in a BLOB.

## Constructor & Destructor Documentation

Gnome::Gda::Blob::Blob | ( | ) |

Gnome::Gda::Blob::Blob | ( | const GdaBlob * | gobject ) | `[explicit]`

## Member Function Documentation

GdaBlob* Gnome::Gda::Blob::gobj | ( | ) | `[inline]`

Provides access to the underlying C instance.

const GdaBlob* Gnome::Gda::Blob::gobj | ( | ) | const`[inline]`

Provides access to the underlying C instance.

void Gnome::Gda::Blob::set_op | ( | const Glib::RefPtr< BlobOp >& | op ) |

correctly assigns op to blob

Parameters:

  op | A Gda::BlobOp object, or `0`.

Glib::ustring Gnome::Gda::Blob::to_string | ( | guint | maxlen = `0` ) | const

Converts all the non printable characters of blob->data into the representation where xxx is the octal representation of the byte, and the '\' (backslash) character is converted to "\\".

Parameters:

  maxlen | A maximum len used to truncate, or 0 for no maximum length.

Returns:
  A new string from blob.

## Friends And Related Function Documentation

Gnome::Gda::Blob& wrap | ( | GdaBlob * | object ) | `[related]`

Parameters:

  object | The C instance

Returns:
  A C++ instance that wraps this C instance.

const Gnome::Gda::Blob& wrap | ( | const GdaBlob * | object ) | `[related]`

Parameters:

  object | The C instance

Returns:
  A C++ instance that wraps this C instance.

## Member Data Documentation

GdaBlob Gnome::Gda::Blob::gobject_`[protected]`

The documentation for this class was generated from the following file:

- libgdamm/blob.h